summaryrefslogtreecommitdiff
path: root/.zsh/plugins
diff options
context:
space:
mode:
authorUrbain Vaes <urbain@vaes.uk>2015-08-11 15:58:37 +0200
committerUrbain Vaes <urbain@vaes.uk>2015-08-11 15:58:37 +0200
commit5e17418f1eef06e97bb621edf53530437df8b14f (patch)
treef87466982929a0d0fead9ec97a5e9b017c76bf9e /.zsh/plugins
parent8df9472e0cdbab0d12211c2bc77918e8f515c409 (diff)
Back up several files
Diffstat (limited to '.zsh/plugins')
-rw-r--r--.zsh/plugins61
1 files changed, 61 insertions, 0 deletions
diff --git a/.zsh/plugins b/.zsh/plugins
new file mode 100644
index 0000000..b519e4b
--- /dev/null
+++ b/.zsh/plugins
@@ -0,0 +1,61 @@
+#! /bin/zsh
+
+# Load zgen
+source "/home/urbain/.zgen/zgen.zsh"
+
+# Load plugins
+if ! zgen saved; then
+
+ echo "Creating a zgen save"
+
+ # Load oh-my-zsh framework
+ zgen oh-my-zsh
+
+ # Oh-my-zsh plugins
+ zgen oh-my-zsh plugins/git
+ zgen oh-my-zsh plugins/vi-mode
+ zgen oh-my-zsh plugins/ubuntu
+ zgen oh-my-zsh plugins/tmux
+ zgen oh-my-zsh plugins/themes
+
+ # zsh-users plugins
+ zgen load zsh-users/zsh-completions src
+ zgen load zsh-users/zsh-syntax-highlighting
+
+ # Appearance
+ zgen oh-my-zsh themes/eastwood
+
+ # My plugins
+ zgen load uvaes/fzf-marks
+ zgen load uvaes/grm
+
+ # Other plugins
+ zgen load rupa/z
+ zgen load djui/alias-tips
+ zgen load tarruda/zsh-autosuggestions
+ zgen load Tarrasch/zsh-autoenv
+ zgen load joel-porquet/zsh-dircolors-solarized
+
+ # Save all to init script
+ zgen save
+fi
+
+# Plugins configuration
+
+# Autosuggestion
+{
+ # Environment variables for plugins
+ AUTOSUGGESTION_HIGHLIGHT_COLOR='fg=6'
+
+ zle-line-init() {
+ zle autosuggest-start
+ }
+ zle -N zle-line-init
+
+ bindkey '^y' autosuggest-execute-suggestion
+}
+
+# GRM
+{
+ REPOFILE=/home/urbain/.grmrc
+}